Package org.apache.solr.common.params

# Class CoreAdminParams

java.lang.Object
org.apache.solr.common.params.CoreAdminParams

public abstract class CoreAdminParams extends Object

Since:
  solr 1.3

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CoreAdminParams.CoreAdminAction`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION`
What action *
`static final String`
`BACKUP_CONFIGSET`
A parameter to specify if Configsets should be included in the backup or not
`static final String`
`BACKUP_ID`
Unique id of the backup
`static final String`
`BACKUP_INCREMENTAL`
A parameter to specify whether incremental backup is used
`static final String`
`BACKUP_LOCATION`
A parameter to specify the location where the backup should be stored.
`static final String`
`BACKUP_PURGE_UNUSED`
Purging/deleting all index files, shard-backup metadata files, backup property files that are unreachable, uncompleted or corrupted.
`static final String`
`BACKUP_REPOSITORY`
A parameter to specify the name of the backup repository to be used.
`static final String`
`COLLECTION`
The collection name in solr cloud
`static final String`
`COMMIT_NAME`
A parameter to specify the name of the commit to be stored during the backup operation.
`static final String`
`CONFIG`
If you specify a config, what is its name *
`static final String`
`CONFIGSET`
If you specify a configset, what is its name *
`static final String`
`CORE`
What Core are we talking about *
`static final String`
`CORE_NODE_NAME`
`static final String`
`DATA_DIR`
Core data directory *
`static final String`
`DELETE_DATA_DIR`
`static final String`
`DELETE_INDEX`
If you unload a core, delete the index too
`static final String`
`DELETE_INSTANCE_DIR`
`static final String`
`FILE`
If you specify a file, what is its name *
`static final String`
`GET_RANGES`
`static final String`
`INDEX_DIR`
If you merge indexes, what are the index directories.
`static final String`
`INDEX_INFO`
Should the STATUS request include index info *
`static final String`
`INSTANCE_DIR`
Specifies a core instance dir.
`static final String`
`LOAD_ON_STARTUP`
`static final String`
`MAX_NUM_BACKUP_POINTS`
A parameter to specify last number of backups (delete the rest)
`static final String`
`NAME`
If you rename something, what is the new name *
`static final String`
`NEW_COLLECTION`
A boolean parameter specifying if a core is being created as part of a new collection
`static final String`
`NODE`
`static final String`
`OTHER`
Name of the other core in actions involving 2 cores *
`static final String`
`PREV_SHARD_BACKUP_ID`
The ID of the shard-backup prior to the latest one (indicated by `SHARD_BACKUP_ID`
`static final String`
`PROPERTY_PREFIX`
Prefix for core property name=value pair *
`static final String`
`RANGES`
The hash ranges to be used to split a shard or an index
`static final String`
`REPLICA`
The replica name in solr cloud
`static final String`
`REPLICA_TYPE`
Tells the CoreAdminHandler that the new Core will be a replica of a particular `Replica.Type`
`static final String`
`REQUESTID`
`static final String`
`SCHEMA`
If you specify a schema, what is its name *
`static final String`
`SHARD`
The shard id in solr cloud
`static final String`
`SHARD_BACKUP_ID`
The ID of the shard-backup in question
`static final String`
`SNAPSHOT_NAME`
A parameter to specify the name of the snapshot to be stored during the backup operation.
`static final String`
`SRC_CORE`
If you merge indexes, what is the source core's name More than one source core can be specified by multiple srcCore parameters
`static final String`
`TARGET_CORE`
The target core to which a split index should be written to Multiple targetCores can be specified by multiple targetCore parameters
`static final String`
`ULOG_DIR`
Core updatelog directory *

## Constructor Summary

Constructors
Constructor
Description
`CoreAdminParams()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CORE

public static final String CORE
What Core are we talking about *

See Also:
  - Constant Field Values

### INDEX_INFO

public static final String INDEX_INFO
Should the STATUS request include index info *

See Also:
  - Constant Field Values

### NAME

public static final String NAME
If you rename something, what is the new name *

See Also:
  - Constant Field Values

### DATA_DIR

public static final String DATA_DIR
Core data directory *

See Also:
  - Constant Field Values

### ULOG_DIR

public static final String ULOG_DIR
Core updatelog directory *

See Also:
  - Constant Field Values

### OTHER

public static final String OTHER
Name of the other core in actions involving 2 cores *

See Also:
  - Constant Field Values

### ACTION

public static final String ACTION
What action *

See Also:
  - Constant Field Values

### SCHEMA

public static final String SCHEMA
If you specify a schema, what is its name *

See Also:
  - Constant Field Values

### CONFIGSET

public static final String CONFIGSET
If you specify a configset, what is its name *

See Also:
  - Constant Field Values

### CONFIG

public static final String CONFIG
If you specify a config, what is its name *

See Also:
  - Constant Field Values

### INSTANCE_DIR

public static final String INSTANCE_DIR
Specifies a core instance dir.

See Also:
  - Constant Field Values

### FILE

public static final String FILE
If you specify a file, what is its name *

See Also:
  - Constant Field Values

### INDEX_DIR

public static final String INDEX_DIR
If you merge indexes, what are the index directories. The directories are specified by multiple indexDir parameters.

See Also:
  - Constant Field Values

### SRC_CORE

public static final String SRC_CORE
If you merge indexes, what is the source core's name More than one source core can be specified by multiple srcCore parameters

See Also:
  - Constant Field Values

### COLLECTION

public static final String COLLECTION
The collection name in solr cloud

See Also:
  - Constant Field Values

### REPLICA

public static final String REPLICA
The replica name in solr cloud

See Also:
  - Constant Field Values

### SHARD

public static final String SHARD
The shard id in solr cloud

See Also:
  - Constant Field Values

### TARGET_CORE

public static final String TARGET_CORE
The target core to which a split index should be written to Multiple targetCores can be specified by multiple targetCore parameters

See Also:
  - Constant Field Values

### RANGES

public static final String RANGES
The hash ranges to be used to split a shard or an index

See Also:
  - Constant Field Values

### GET_RANGES

public static final String GET_RANGES

See Also:
  - Constant Field Values

### REQUESTID

public static final String REQUESTID

See Also:
  - Constant Field Values

### CORE_NODE_NAME

public static final String CORE_NODE_NAME

See Also:
  - Constant Field Values

### PROPERTY_PREFIX

public static final String PROPERTY_PREFIX
Prefix for core property name=value pair *

See Also:
  - Constant Field Values

### DELETE_INDEX

public static final String DELETE_INDEX
If you unload a core, delete the index too

See Also:
  - Constant Field Values

### DELETE_DATA_DIR

public static final String DELETE_DATA_DIR

See Also:
  - Constant Field Values

### DELETE_INSTANCE_DIR

public static final String DELETE_INSTANCE_DIR

See Also:
  - Constant Field Values

### LOAD_ON_STARTUP

public static final String LOAD_ON_STARTUP

See Also:
  - Constant Field Values

### NODE

public static final String NODE

See Also:
  - Constant Field Values

### BACKUP_REPOSITORY

public static final String BACKUP_REPOSITORY
A parameter to specify the name of the backup repository to be used.

See Also:
  - Constant Field Values

### BACKUP_LOCATION

public static final String BACKUP_LOCATION
A parameter to specify the location where the backup should be stored.

See Also:
  - Constant Field Values

### PREV_SHARD_BACKUP_ID

public static final String PREV_SHARD_BACKUP_ID
The ID of the shard-backup prior to the latest one (indicated by `SHARD_BACKUP_ID`

See Also:
  - Constant Field Values

### SHARD_BACKUP_ID

public static final String SHARD_BACKUP_ID
The ID of the shard-backup in question

See Also:
  - Constant Field Values

### MAX_NUM_BACKUP_POINTS

public static final String MAX_NUM_BACKUP_POINTS
A parameter to specify last number of backups (delete the rest)

See Also:
  - Constant Field Values

### BACKUP_ID

public static final String BACKUP_ID
Unique id of the backup

See Also:
  - Constant Field Values

### BACKUP_PURGE_UNUSED

public static final String BACKUP_PURGE_UNUSED
Purging/deleting all index files, shard-backup metadata files, backup property files that are unreachable, uncompleted or corrupted.

See Also:
  - Constant Field Values

### BACKUP_INCREMENTAL

public static final String BACKUP_INCREMENTAL
A parameter to specify whether incremental backup is used

See Also:
  - Constant Field Values

### COMMIT_NAME

public static final String COMMIT_NAME
A parameter to specify the name of the commit to be stored during the backup operation.

See Also:
  - Constant Field Values

### SNAPSHOT_NAME

public static final String SNAPSHOT_NAME
A parameter to specify the name of the snapshot to be stored during the backup operation.

See Also:
  - Constant Field Values

### NEW_COLLECTION

public static final String NEW_COLLECTION
A boolean parameter specifying if a core is being created as part of a new collection

See Also:
  - Constant Field Values

### BACKUP_CONFIGSET

public static final String BACKUP_CONFIGSET
A parameter to specify if Configsets should be included in the backup or not

See Also:
  - Constant Field Values

### REPLICA_TYPE

public static final String REPLICA_TYPE
Tells the CoreAdminHandler that the new Core will be a replica of a particular `Replica.Type`

See Also:
  - Constant Field Values

## Constructor Details

### CoreAdminParams

public CoreAdminParams()